{% extends "base.html" %}

{% block head %}
{% endblock %}

{% block content %}
    <main>
        <div class="row">
            <div class="col align-self-start">
                <p>{{ user.disp_name }}でログイン中</p>
                <p>{{ target_name }}さんの履歴です。</p>
            </div>
        </div>
        {% include "toolbar.html" %}
        <div class="tab-wrap">
            {% for history in histories %}
            <input id="TAB-{{ history.number.number }}" type="radio" name="TAB" class="tab-switch" onclick="radioDeselection(this, '{{ history.number.number }}')"/>
            <label class="tab-label" for="TAB-{{ history.number.number }}">{{ history.number.date.strftime('%Y-%m-%d(%a)') }} ～ {{ history.summary.date.strftime('%Y-%m-%d(%a)') }}
            </label>
            <div class="tab-content">
                <table class="table table-hover table-sm">
                    <thead class="thead-light">
                    <tr>
                        <th>役割</th>
                        <th>分類</th>
                        <th>項目</th>
                        <th>作業</th>
                        <th>実施前評価</th>
                        <th>実施後評価</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for result in history.results %}
                    <tr>
                        <td>
                            {{ result.element.role.disp_name }}
                        </td>
                        <td>
                            {{ result.element.section.disp_name }}
                        </td>
                        <td>
                            {{ result.element.description }}
                        </td>
                        <td>
                            <textarea cols="100" rows="5" readonly>{{ result.target_item.detail }}</textarea>
                        </td>
                        <td>
                            <input id="{{ result.target_item.key.id }}-before-2" type="radio" name="eval-{{ result.target_item.key.id }}-before" value="2"
                               {% if result["before"]["evaluation"] == 2 %}checked{% endif %}
                            disabled="disabled">
                            <label for="{{ result.target_item.key.id }}-before-2">優</label>
                            <input id="{{ result.target_item.key.id }}-before-1" type="radio" name="eval-{{ result.target_item.key.id }}-before" value="1"
                               {% if result["before"]["evaluation"] == 1 %}checked{% endif %}
                            disabled="disabled">
                            <label for="{{ result.target_item.key.id }}-before-1">可</label>
                            <input id="{{ result.target_item.key.id }}-before-0" type="radio" name="eval-{{ result.target_item.key.id }}-before" value="0"
                               {% if result["before"]["evaluation"] == 0 %}checked{% endif %}
                            disabled="disabled">
                            <label for="{{ result.target_item.key.id }}-before-0">不可</label>
                        </td>
                        <td>
                            <input id="{{ result.target_item.key.id }}-after-2" type="radio" name="eval-{{ result.target_item.key.id }}-after" value="2"
                               {% if result["after"]["evaluation"] == 2 %}checked{% endif %}
                            disabled="disabled">
                            <label for="{{ result.target_item.key.id }}-after-2">優</label>
                            <input id="{{ result.target_item.key.id }}-after-1" type="radio" name="eval-{{ result.target_item.key.id }}-after" value="1"
                               {% if result["after"]["evaluation"] == 1 %}checked{% endif %}
                            disabled="disabled">
                            <label for="{{ result.target_item.key.id }}-after-1">可</label>
                            <input id="{{ result.target_item.key.id }}-after-0" type="radio" name="eval-{{ result.target_item.key.id }}-after" value="0"
                               {% if result["after"]["evaluation"] == 0 %}checked{% endif %}
                            disabled="disabled">
                            <label for="{{ result.target_item.key.id }}-after-0">不可</label>
                        </td>
                    </tr>
                    <tr>
                        {% endfor %}
                    </tr>
                    </tbody>
                </table>
                <label for="summary">総括</label><textarea id="summary" name="summary" cols="200" rows="5" readonly>{{ history.summary.summary }}</textarea>
            </div>
            {% endfor %}
        </div>
    </main>
    <footer>
        <div class="foot-wrap">
            <div class="row">
            </div>
        </div>
    </footer>
{% endblock %}
